Bug 1476420 - libbson-1.7.0 is available
libbson-1.7.0 is available
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: libbson (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 20:18 EDT by Upstream Release Monitoring
Modified: 2017-08-10 04:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: libbson-1.7.0-1.fc27
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2017-07-28 20:18:33 EDT
Latest upstream release: 1.7.0-rc2
Current version/release in rawhide: 1.7.0-0.2.rc1.fc27
URL: https://github.com/mongodb/libbson

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9537/
Comment 1 Petr Pisar 2017-07-31 09:41:22 EDT
Some changes in handling BSON_JSON_LF_DATE to allow parsing legacy date syntax. Suitable for Fedora ≥ 27.
Comment 2 Upstream Release Monitoring 2017-08-09 20:22:30 EDT
Latest upstream release: 1.7.0
Current version/release in rawhide: 1.7.0-0.5.rc2.fc27
URL: https://github.com/mongodb/libbson

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9537/
Comment 3 Remi Collet 2017-08-10 01:13:20 EDT
Notice: 2 symbols have be renamed between rc2 and final version
https://rpms.remirepo.net/compat_reports/libbson/1.7.0-rc2_to_1.7.0/compat_report.html

BTW API is compatible between 1.6.3 and 1.7.0
https://rpms.remirepo.net/compat_reports/libbson/1.6.3_to_1.7.0/compat_report.html

mongo-c-driver 1.7.0 is also released (and require 1.7.0 final API)

pecl/mongodb is not yet release, but can use new version, only 3 failed tests related to minor change in some specific URI parsing.

Proposal: keep in rawhide only until pecl/mongodb new version is released (planed soon, according to upstream)
Comment 4 Petr Pisar 2017-08-10 03:20:45 EDT
The renames are:

 BSON_EXPORT (char *)
-bson_as_canonical_json (const bson_t *bson, size_t *length);
+bson_as_canonical_extended_json (const bson_t *bson, size_t *length);

 BSON_EXPORT (char *)
-bson_as_relaxed_json (const bson_t *bson, size_t *length);
+bson_as_relaxed_extended_json (const bson_t *bson, size_t *length);

The is no code change.

I will push the 1.7.0 version to F27 and later to F26.

I'm upset of the symbol renames in the release candidates because it breaks ABI inside rawhide. I won't package libbson's release candidates in the future.
Comment 5 Petr Pisar 2017-08-10 04:59:53 EDT
None of F27 packages uses the renamed symbols, no rebuild is needed.

Note You need to log in before you can comment on or make changes to this bug.